PGP: Unterschied zwischen den Versionen

Aus C3D2
Wechseln zu: Navigation, Suche
K
K (PDF ver-/entschlüsseln)
Zeile 2: Zeile 2:
  
 
* [[PGP/Paperbackup | Paperbackup/-recovery]]
 
* [[PGP/Paperbackup | Paperbackup/-recovery]]
 +
 +
== Alternativen ==
 +
 +
=== PDF-Dateien ===
 +
Sofern Dateien bereits als PDF vorliegen, können diese ohne dem Empfänger ein weiteres Werkzeug aufzunötigen auch verschlüsselt werden.
 +
Die Stärke der Passwörter ist hier allerdings ggf. eingeschränkt.
 +
 +
PDF-Dateien bieten einige Features die vom Anzeigeprogramm genauso gut ignoriert werden können; häufig wird u.a. die Vorgabe die Datei nicht drucken zu dürfen gesetzt; `qpdf` kann derlei Attribute löschen. Das Öffnen-Passwort schützt die Datei dagegen verhältnismäßig wirksam.
 +
 +
==== PDF verschlüsseln ====
 +
 +
<pre>
 +
#!/usr/bin/env sh
 +
which qpdf || {
 +
        echo "tool missing: qpdf"
 +
        exit 1
 +
}
 +
upass="ganzsicheresuserpasswort" #ermöglicht das lesen
 +
opass="ganzsicheresownerpasswort" #ermöglicht das ändern/löschen
 +
encoption=$(echo -n "128 --use-aes=y")
 +
if="filename.pdf"
 +
test -f ${if} || { echo "Not a file: "${if}; continue; }
 +
qpdf --show-encryption --password=${opass} ${if} 2>&1 >/dev/null
 +
err=$?
 +
test ${err} -eq 0 || { echo "Already encrypted: "${if}; exit 2; }
 +
of=$(echo $if|rev|cut -d"." -f2-|rev)"_enc.pdf"
 +
qpdf --encrypt ${upass} ${opass} ${encoption} -- ${if} ${of}
 +
</pre>
 +
 +
==== PDF entschlüsseln ====
 +
<pre>
 +
pass="ganzsicheresownerpasswort"
 +
enc="daten_verschluesselt.pdf"
 +
dec="daten_offen.pdf"
 +
qpdf --password=$p --decrypt $enc $dec
 +
</pre>
 +
  
 
== Referenzen ==
 
== Referenzen ==

Version vom 17. Juli 2019, 01:33 Uhr

OpenPGP[1] ist eines der nützlicheren Werkzeuge um beliebige Daten zu verschlüsseln.

Alternativen

PDF-Dateien

Sofern Dateien bereits als PDF vorliegen, können diese ohne dem Empfänger ein weiteres Werkzeug aufzunötigen auch verschlüsselt werden. Die Stärke der Passwörter ist hier allerdings ggf. eingeschränkt.

PDF-Dateien bieten einige Features die vom Anzeigeprogramm genauso gut ignoriert werden können; häufig wird u.a. die Vorgabe die Datei nicht drucken zu dürfen gesetzt; `qpdf` kann derlei Attribute löschen. Das Öffnen-Passwort schützt die Datei dagegen verhältnismäßig wirksam.

PDF verschlüsseln

#!/usr/bin/env sh
which qpdf || {
        echo "tool missing: qpdf"
        exit 1
}
upass="ganzsicheresuserpasswort" #ermöglicht das lesen
opass="ganzsicheresownerpasswort" #ermöglicht das ändern/löschen
encoption=$(echo -n "128 --use-aes=y")
if="filename.pdf"
test -f ${if} || { echo "Not a file: "${if}; continue; }
qpdf --show-encryption --password=${opass} ${if} 2>&1 >/dev/null
err=$?
test ${err} -eq 0 || { echo "Already encrypted: "${if}; exit 2; }
of=$(echo $if|rev|cut -d"." -f2-|rev)"_enc.pdf"
qpdf --encrypt ${upass} ${opass} ${encoption} -- ${if} ${of}

PDF entschlüsseln

pass="ganzsicheresownerpasswort"
enc="daten_verschluesselt.pdf"
dec="daten_offen.pdf"
qpdf --password=$p --decrypt $enc $dec


Referenzen

  1. https://tools.ietf.org/html/rfc4880